package domain


type AlibabaWdkMerchantItemQueryResult struct {
    /*
        是否成功     */
    Suc  *bool `json:"suc,omitempty" `

    /*
        errorCode     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        errorDesc     */
    ErrDesc  *string `json:"err_desc,omitempty" `

    /*
        result     */
    Result  *string `json:"result,omitempty" `

}

func (s *AlibabaWdkMerchantItemQueryResult) SetSuc(v bool) *AlibabaWdkMerchantItemQueryResult {
    s.Suc = &v
    return s
}
func (s *AlibabaWdkMerchantItemQueryResult) SetErrCode(v string) *AlibabaWdkMerchantItemQueryResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemQueryResult) SetErrDesc(v string) *AlibabaWdkMerchantItemQueryResult {
    s.ErrDesc = &v
    return s
}
func (s *AlibabaWdkMerchantItemQueryResult) SetResult(v string) *AlibabaWdkMerchantItemQueryResult {
    s.Result = &v
    return s
}
